#include <bits/stdc++.h>
using namespace std;
int d[11],x,x1,x2,r;
string n;
bool cmp (const int a, const int b) {return a>b;} 
int main()
{
    cin>>n;
    for(int i=0;i<n.size();i++){
        d[n[i]-48]++;
    }
    x=0;
    for(int i=0;i<=9;i++){
        if(d[i]>x)x=i;
    }
    for(int i=0;i<n.size();i++){
        if(n[i]==x)x2=i;
    }
    for(int i=n.size();i>0;i--){
        if(n[i]==x)x1=i;
    }
    for(int i=x1;i<=x2;i++){
        if(n[i]!=x)r++;
    }
    cout<<r;
    return 0;
}